Page MenuHomePhabricator

[PowerPC][Power10] Vector String Isolate instruction definitions and MC Tests
ClosedPublic

Authored by Conanap on Jul 20 2020, 1:50 PM.

Details

Summary

This implements vector string isolate instructions used in vector string isolate builtins.

Diff Detail

Event Timeline

Conanap created this revision.Jul 20 2020, 1:50 PM
lei added a subscriber: lei.Jul 23 2020, 5:19 AM

Why are you removing MC tests for here?

amyk requested changes to this revision.Jul 24 2020, 8:46 AM
amyk added a subscriber: amyk.

Could you please add back the MC tests for the rightmost load/store instructions, and then add the vector string isolate tests to the end of the file?

This revision now requires changes to proceed.Jul 24 2020, 8:46 AM
Conanap updated this revision to Diff 281042.Jul 27 2020, 1:27 PM

Recovered accidentally deleted test cases.

amyk accepted this revision.Jul 27 2020, 9:33 PM

Thanks for recovering the tests. LGTM.

This revision is now accepted and ready to land.Jul 27 2020, 9:33 PM
Conanap retitled this revision from [PowerPC][Power10] 128-bit Vector String Isolate instruction definitions and MC Tests to [PowerPC][Power10] Vector String Isolate instruction definitions and MC Tests.Jul 31 2020, 9:53 AM
This revision was landed with ongoing or failed builds.Jul 31 2020, 10:32 AM
This revision was automatically updated to reflect the committed changes.